# Rivage-Reaper

A script for dropping markers into [Reaper][reaper], and naming them according to the current console scene number and name on a Yamaha Rivage PM10.

To run this, you need to have Reaper running on the same machine as this script, with OSC set to Local Port (Receive Only) with the default port of 8000, and update the `CONSOLE_IP` variable at the top of the script to match your console's DSP Engine IP.

## Thanks
The following people and their projects helped make this possible to pull together quickly:
* [Justin Stasiw's Digico-Reaper-Link][digico-reaper-link], the inspiration for this project
* [Brenek Harrison's Yamaha RCP Docs][rcp-docs]

[reaper]: https://www.reaper.fm/
[digico-reaper-link]: https://github.com/jms5194/Digico-Reaper-Link
[rcp-docs]: https://github.com/BrenekH/yamaha-rcp-docs/